Ergebnis 1 bis 16 von 16

Thema: Paypal geht nach Update nicht mehr

  1. #1
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard Paypal geht nach Update nicht mehr

    Contao 4.9.29
    Isotope 2.6.15 (kann ich nicht updaten, weil dann die Lagerverwaltung von codefog nicht kompatibel ist)

    Also ich hatte Contao geupdatet und Isotope und jetzt geht Paypal einfach nicht mehr.

    Code:
    [22-May-2022 22:06:37] PayPal API Error! (Unsupported option "form_params" passed to "Symfony\Component\HttpClient\CurlHttpClient", did you mean "max_duration", "headers", "normalized_headers", "query", "auth_basic", "auth_bearer", "body", "json", "user_data", "max_redirects", "http_version", "base_uri", "buffer", "on_progress", "resolve", "proxy", "no_proxy", "timeout", "bindto", "verify_peer", "verify_host", "cafile", "capath", "local_cert", "local_pk", "passphrase", "ciphers", "peer_fingerprint", "capture_peer_cert_chain", "extra", "auth_ntlm"?)
    [22-May-2022 22:06:37] PayPal API Error! (Unsupported option "form_params" passed to "Symfony\Component\HttpClient\CurlHttpClient", did you mean "max_duration", "headers", "normalized_headers", "query", "auth_basic", "auth_bearer", "body", "json", "user_data", "max_redirects", "http_version", "base_uri", "buffer", "on_progress", "resolve", "proxy", "no_proxy", "timeout", "bindto", "verify_peer", "verify_host", "cafile", "capath", "local_cert", "local_pk", "passphrase", "ciphers", "peer_fingerprint", "capture_peer_cert_chain", "extra", "auth_ntlm"?)
    [22-May-2022 22:06:38] {"name":"AUTHENTICATION_FAILURE","message":"Authentication failed due to invalid authentication credentials or a missing Authorization header.","links":[{"href":"https://developer.paypal.com/docs/api/overview/#error","rel":"information_link"}]}
    Kann jemand erst mal sagen oder erklären, was die Fehlermeldung bedeutet? Ich habe keine Ahnung, was das Problem sein könnte. DANKE!!!
    Geändert von tobihessen (24.05.2022 um 15:32 Uhr)

  2. #2
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Kann hier jemand helfen?

  3. #3
    Contao-Nutzer
    Registriert seit
    22.02.2010.
    Beiträge
    40

    Standard

    Hallo,

    Zu paypal kann ich nichts sagen, aber die Lagerverwaltung von Codefog ist auch kompatibel Contao 4.13 und Isotope 2.8!
    Ich hab sie jedenfalls am Laufen...

    anx

  4. #4
    Contao-Fan Avatar von melzebub
    Registriert seit
    21.05.2010.
    Ort
    Lüneburg
    Beiträge
    292
    User beschenken
    Wunschliste

    Standard

    Hatte grad das gleiche Problem. Ein Downgrade von Isotope auf die 2.7.4. hat geholfen. aber das hilft dir irgendwie auch nicht.
    Contao Webentwickler / Webdesigner aus Lüneburg - slash-works.de
    kein Support per PN. Fragen gehören ins Forum.

  5. #5
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Zitat Zitat von melzebub Beitrag anzeigen
    Hatte grad das gleiche Problem. Ein Downgrade von Isotope auf die 2.7.4. hat geholfen. aber das hilft dir irgendwie auch nicht.
    Nee das hilft mir leider nicht.
    Hatte wegen der Lagerverwaltung schon den Support dort gefragt, die läuft auch mit Isotope 2.8 ... falls dir das hilft

  6. #6
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    7.026
    Partner-ID
    152
    User beschenken
    Wunschliste
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ob Dir das unter Isotope 2.6.x hilft mag dahingestellt sein - in 2.8.1 könnte das jedenfalls gefixt sein (und jetzt schon in 2.8.x-dev).

    Dazugehörig: https://github.com/isotope/core/pull/2295

  7. #7
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Zitat Zitat von lucina Beitrag anzeigen
    Ob Dir das unter Isotope 2.6.x hilft mag dahingestellt sein - in 2.8.1 könnte das jedenfalls gefixt sein (und jetzt schon in 2.8.x-dev).

    Dazugehörig: https://github.com/isotope/core/pull/2295
    Und weißt du zufällig wann 2.8.1 erscheint?

  8. #8
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Hallo, also nach dem Update auf 2.8.1 funktioniert Paypal auch nicht wieder ... was vorher übrigens seit 10 Jahren kein Problem war.

    Generell sind nach den letzten Updates zig Funktionen, die nicht mehr funktionieren.
    Wir werden in Zukunft abstand von Isotope nehmen müssen. Ein tolles Shopsystem, dass leider immer fehleranfälliger wird. Schade.

  9. #9
    Contao-Urgestein Avatar von Toflar
    Registriert seit
    15.06.2009.
    Beiträge
    4.452
    Partner-ID
    8667
    User beschenken
    Wunschliste

    Standard

    Oder du wirst einfach Teil vom Isotope Circle und bezahlst für den Support und die Qualität, die du im Moment ohne Gegenleistung erwartest.
    Contao Core-Entwickler @terminal42 gmbh
    Wir sind Contao Premium-Partner!
    Für Individuallösungen kannst du uns gerne kontaktieren.
    PS: Heute schon getrakked?

  10. #10
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Ich wusste, dass diese Antwort kommt
    Ich erwarte nix ohne Gegenleistung.
    Ich bezahle gerne jemanden dafür, dass er das Problem löst.
    Ich verstehe nur einfach nicht, warum ein Zahlungsmodul nach einem Update einfach nicht mehr funktioniert.

  11. #11
    Contao-Urgestein Avatar von Toflar
    Registriert seit
    15.06.2009.
    Beiträge
    4.452
    Partner-ID
    8667
    User beschenken
    Wunschliste

    Standard

    Ich verstehe nur einfach nicht, warum ein Zahlungsmodul nach einem Update einfach nicht mehr funktioniert.
    Was ist denn das für eine seltsame Aussage?

    Aber ich kann ja trotzdem mal versuchen, Verständnis zu schaffen:
    Also warum funktoniert es nach einem Update einfach nicht mehr?
    Ich nehme mal an, weil ein Update ein Bug eingeführt hat? Wie das in jeder Software dieser Welt geschieht? Weil Menschen Fehler machen?
    Manchmal fällt auch der Geschirrspüler aus, das Auto bleibt stehen oder deine Nachbaren die seit 20 Jahren zusammen waren, trennen sich.
    Und irgendwann kreist die Erde auch nicht mehr um die Sonne.
    Es sind einfach Tatsachen?
    Die einzige Konstante ist Veränderung - Heraklit und so

    Du hast jetzt zwei Möglichkeiten, mit Veränderung umzugehen:

    1. Du kannst weiterhin hier Posts schreiben und dich darüber beklagen in der Hoffnung, dass jemand aus Spass an der Freud deinen Bug per Zufall behebt.
    2. Der Entwickler/die Entwicklerin deines Vertrauens schaut sich das Problem auf deinem System an, behebt den Fehler und contributed den Bugfix zurück. So wie eben Open Source funktioniert.


    Solltest du dich für unsere Supportmöglichkeiten entscheiden, habe ich diese bereits verlinkt.
    Contao Core-Entwickler @terminal42 gmbh
    Wir sind Contao Premium-Partner!
    Für Individuallösungen kannst du uns gerne kontaktieren.
    PS: Heute schon getrakked?

  12. #12
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Findest du nicht, dass du etwas übertreibst? Finde deine Antworten etwas lächerlich und unprofessionell.
    Du kannst das Thema hier gerne löschen.
    Und nein, du musst dazu nichts mehr sagen.

  13. #13
    Contao-Fan Avatar von designpilot
    Registriert seit
    16.06.2013.
    Ort
    9532 Rickenbach bei Wil
    Beiträge
    262
    Contao-Projekt unterstützen

    Support Contao

    Standard Paypal geht nach Update nicht mehr

    Ich bin ja kein Entwickler oder Profi, aber da gibt es 2 Möglichkeiten die ich mir vorstellen könnte.

    1. da von Unsupported Option die rede ist im Modul kann es schon auch sein das a) entweder die PayPal API irgendwo de Fehler verursacht oder b) das Modul von codefog für die Lagerverwaltung diesen Fehler verursacht

    2. nichts von all dem

    Also ich würde mal auf die erste Variante tippen und halt mal den Kamil der das Modul für die Lagerverwaltung entwickelt hat kontaktieren (ich glaub unter info@codefog.pl für den allgemeinen Support oder wenn es um den Shop oder die Module geht an shop@codefog.pl schreiben)


    Gesendet von iPhone mit Tapatalk Pro
    Geändert von designpilot (09.06.2022 um 11:52 Uhr)

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    29.840
    Partner-ID
    10107

    Standard

    Zitat Zitat von tobihessen Beitrag anzeigen
    Ich verstehe nur einfach nicht, warum ein Zahlungsmodul nach einem Update einfach nicht mehr funktioniert.
    Ich verstehe nicht, was für eine Antwort du dir erwartest. Vielleicht ist es besser, wenn du spezifische Fragen dazu stellst?
    » sponsor me via GitHub or PayPal or Revolut

  15. #15
    Contao-Fan Avatar von bjarke
    Registriert seit
    07.06.2011.
    Beiträge
    319
    Partner-ID
    5067

    Standard

    Du nutzt eine Software 10 Jahre ohne Probleme, dann gehen mehrere Sachen nicht mehr und du nimmst davon Abstand. Das wird dir doch mit jeder anderen Software längerfristig auch passieren.

    Gerne würde ich dir einen Weg aufzeigen, welcher sich bei mir bewährt hat.

    Schreibe für jede der zig Funktionen die Fehlerhaft sind ein Ticket auf GitHub, so wird der Entwickler auch über das Fehlverhalten seiner Software informiert. Wenn er Zeit und Musse findet, wird er sich dem Problem annehmen.

    Wenn du ein Problem hast, welches dringend gelöst werden soll, dann kontaktiere den Entwickler direkt (bei Isotope eCommerce wie geschrieben über den Circle). Das ist für alle eine Win-Win-Situation, der Entwickler bekommt Wertschätzung für seine geleistete Arbeit, du und alle anderen Anwender:innen von Isotope eCommerce eine funktionierende Software.

    Übrigens gestern wurde Isotope eCommerce 2.8.3 veröffentlicht, da konnten wir dank der Mitarbeit einiger Leute auch schon wieder ein paar Bugs beheben.

  16. #16
    Contao-Fan Avatar von tobihessen
    Registriert seit
    01.04.2010.
    Beiträge
    309
    Partner-ID
    8827

    Standard

    Danke bjarke.
    Nach dem Update auf 2.8.3 geht es wieder.

    Ich hatte auf GitHub schon gelesen, dass es ein Ticket dazu gibt.

    Alles gut. Ich hatte mich einfach etwas geärgert, aber wollte hier niemanden verärgern.

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •